using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SlowDownObs : Obstacle {
	public int slowLevel = 20;

	//Slow down the player when in contact
	void OnTriggerStay(Collider col){
		if (col.tag == "Player") {
			col.GetComponent<Rigidbody> ().AddForce (Vector3.forward * -slowLevel);
		}
	}
		

	//break behaviour, called when hit by back wave
	public override void Break(){}
}
